package com.engine.salary.formlua.util;

import com.alibaba.fastjson.JSONObject;


public class ErrorUtil {
	private static JSONObject errorJson=new JSONObject();
	public static JSONObject buildDataError(String func,int errorIdx,Object errorData,String msg){
		errorJson.put("msg",msg);
		errorJson.put("func",func);
		errorJson.put("errorIdx",errorIdx);
		errorJson.put("errorData",errorData);
		errorJson.put("excute",false);
		return errorJson;
	}
	public static JSONObject buildError(String func,Integer errorIdx,Integer errorFunc,String msg){
		errorJson.put("msg",msg);
		errorJson.put("func",func);
		errorJson.put("errorIdx",errorIdx);
		errorJson.put("errorFunc",errorFunc);
		errorJson.put("excute",false);
		return errorJson;
	}
	public static JSONObject buildError(String func,int errorIdx,int endIndex,Object errorData,String msg){
		errorJson.put("msg",msg);
		errorJson.put("func",func);
		errorJson.put("errorIdx",errorIdx);
		errorJson.put("errorEndIdx",endIndex);
		errorJson.put("errorData",errorData);
		errorJson.put("excute",false);
		return errorJson;
	}
}
